{ config, lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "redmond";
    wg-quick.interfaces.wgc.address = [ "10.100.0.23/24" ];
  };

  system = {
    desktop.enable = true;
    lanzaboote.enable = true;
    fancyboot.enable = true;
    wireless.enable = true;
    stateVersion = "24.05";
  };

  services.wireguard.client.enable = true;

  environment.sessionVariables.WLR_RENDERER = lib.mkForce "gles2";
}
